<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CategoriesRequest;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{
    public function index()
    {
        $rows = Category::all();
        return view('admin.categories.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.categories.create');
    }

    public function store(CategoriesRequest $request)
    {
        $category = new Category();
        $category['title->ar'] = $request['title_ar'];
        $category['title->en'] = $request['title_en'];
        $category->save();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('categories.index');
    }

    public function edit($id)
    {
        $row = Category::findOrFail($id);
        return view('admin.categories.edit', compact('row'));
    }

    public function update($id, CategoriesRequest $request)
    {
        $row = Category::findOrFail($id);
        $row['title->ar'] = $request['title_ar'];
        $row['title->en'] = $request['title_en'];
        $row->update();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('categories.index');
    }

    public function destroy($id)
    {
        Category::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('categories.index');
    }
}
