<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CitiesRequest;
use App\Models\City;
use Illuminate\Http\Request;

class CitiesController extends Controller
{
    public function index()
    {
        $rows = City::all();
        return view('admin.cities.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.cities.create');
    }

    public function store(CitiesRequest $request)
    {
        $category = new City();
        $category['title->ar'] = $request['title_ar'];
        $category['title->en'] = $request['title_en'];
        $category->save();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('cities.index');
    }

    public function edit($id)
    {
        $row = City::findOrFail($id);
        return view('admin.cities.edit', compact('row'));
    }

    public function update($id, CitiesRequest $request)
    {
        $row = City::findOrFail($id);
        $row['title->ar'] = $request['title_ar'];
        $row['title->en'] = $request['title_en'];
        $row->update();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('cities.index');
    }

    public function destroy($id)
    {
        City::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('cities.index');
    }
}
