<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\Api\ContactUsRequests;
use App\Models\ContactUs;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    public function settings()
    {
        $settings = Setting::first();
        $data['about'] = $settings->about[\App::getLocale()];
        $data['terms'] = $settings->terms[\App::getLocale()];
        return response()->json(['value' => true, 'data' => $data]);
    }

    public function contactUs(ContactUsRequests $request)
    {
        ContactUs::create($request->all());
        return response()->json(['value' => true, 'data' => \Lang::get('data.DoneSuccess')]);
    }
}
