<?php

namespace App\Http\Requests\Api;

use App\Http\Requests\REQUEST_API_PARENT;
use Illuminate\Foundation\Http\FormRequest;

class StoreServiceRequest extends REQUEST_API_PARENT
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|max:191',
            'category_id' => 'required|exists:categories,id',
            'city_id' => 'required|exists:cities,id',
            'lat' => 'required|max:191',
            'lng' => 'required|max:191',
            'description' => 'required',
            'provider_number' => 'required',
            'employee_number' => 'nullable',
            'price_from' => 'required|max:191',
            'price_to' => 'required|max:191',
            'images' => 'required'
        ];
    }
}
