<?php

namespace App\Http\Requests;

use App\Http\Controllers\Api\ApiController;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Http\Exceptions\HttpResponseException;
use Illuminate\Http\JsonResponse;

class REQUEST_API_PARENT extends FormRequest
{
    public function expectsJson()
    {
        return true;
    }

    public function failedValidation(Validator $validator)
    {


        throw new HttpResponseException($this->respondWithError($validator->errors()->first()));




    }

    public static function respondWithError($error)
    {

        http_response_code(422);  // set the code
        return response()->json(['value' => false, 'msg' => $error]);
    }
}
