<?php

namespace App\Http\Resources\Api;

use App\Models\Favourite;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class ServicesResource extends JsonResource
{


    public function toArray($request)
    {
        $is_favourite = true;
        if ($request->header('Authorization')) {
            if (!$user = JWTAuth::parseToken()->authenticate()) {
                return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token')]);
            }

            $favourite_check = Favourite::whereUserId($user->id)->whereServiceId($this->id)->first();
            if ($favourite_check) {
                $is_favourite = true;
            } else {
                $is_favourite = false;
            }
        }
        return [
            'id' => $this->id,
            'title' => $this->title,
            'price_from' => $this->price_from,
            'price_to' => $this->price_to,
            'category' => $this->category->title[\App::getLocale()],
            'city' => $this->city->title[\App::getLocale()],
            'lng' => $this->lng,
            'lat' => $this->lat,
            'description' => $this->description,
            'provider_number' => $this->provider_number,
            'employee_number' => $this->employee_number,
            'owner_name' => $this->owner->name,
            'is_favourite' => $is_favourite,
            'category_id' => $this->category_id ? (integer)$this->category_id : 0,
            'city_id' => $this->city_id ? (integer)$this->city_id : 0,
            'images' => ServiceImagesResource::collection($this->images)


        ];
    }
}
