@extends('admin.layout.master')
@section('title', 'الباقات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الباقات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('packages.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالعربية</label>
                                    <input type="text" class="form-control" value="{{$row->title['ar']}}" required
                                           name="title_ar"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالعربية">
                                    @if ($errors->has('title_ar'))
                                        <small class="text-danger">{{ $errors->first('title_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الاسم بالانجليزية</label>
                                    <input type="text" class="form-control" value="{{$row->title['en']}}" required
                                           name="title_en"
                                           id="exampleInputEmail1"
                                           placeholder="الاسم بالانجليزية">
                                    @if ($errors->has('title_en'))
                                        <small class="text-danger">{{ $errors->first('title_en') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغه العربية</label>
                                    <textarea name="description_ar" required class="form-control"
                                              placeholder="الوصف باللغة العربية">{{$row->description['ar']}}</textarea>
                                    @if ($errors->has('description_ar'))
                                        <small class="text-danger">{{ $errors->first('description_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">الوصف باللغه الإنجليزية</label>
                                    <textarea name="description_en" required class="form-control"
                                              placeholder="الوصف باللغة الإنجليزية">{{$row->description['ar']}}</textarea>
                                    @if ($errors->has('description_en'))
                                        <small class="text-danger">{{ $errors->first('description_en') }}</small>
                                    @endif
                                </div>


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">السعر بالريال</label>
                                    <input type="number" class="form-control" value="{{$row->price}}" required
                                           name="price"
                                           id="exampleInputEmail1"
                                           placeholder="السعر بالريال">
                                    @if ($errors->has('price'))
                                        <small class="text-danger">{{ $errors->first('price') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">المدة بالايام</label>
                                    <input type="number" class="form-control" value="{{$row->duration}}" required
                                           name="duration"
                                           id="exampleInputEmail1"
                                           placeholder="المدة بالايام">
                                    @if ($errors->has('duration'))
                                        <small class="text-danger">{{ $errors->first('duration') }}</small>
                                    @endif
                                </div>


                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
