@extends('admin.layout.master')
@section('title', "مقدمي الخدمات")
@section('content')



    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">مقدمي الخدمات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">


                <h4 class="header-title">مقدمي الخدمات</h4>
                <p class="sub-header">
                    <a href="{{route('providers.create')}}">
                        <button class="btn btn-success">
                            إنشاء جديد
                        </button>
                    </a>
                </p>

                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الإسم</th>
                        <th>رقم الجوال</th>
                        <th>المدينة</th>
                        <th>البريد الألكتروني</th>
                        <th>القسم</th>
                        <th>الإشتراك</th>
                        <th>يتنهي في الإشتراك</th>


                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->name}}</td>
                            <td>{{$row->mobile}}</td>
                            <td>{{$row->city ? $row->city->title['ar']:"تم حذف المدينة "}}</td>
                            <td>{{$row->email}}</td>
                            <td>{{$row->category  ? $row->category->title['ar']:"تم حذف القسم"}}</td>
                            <td>{{$row->subscription ? $row->subscription->title['ar']:"لا يوجد"}}</td>
                            <td>{{\Carbon\Carbon::parse($row->end_subscription)->toDateString()}}</td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>

                                <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">حذف العنصر</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <h5 class="font-16">هل تريد الحذف ؟</h5>

                                            </div>
                                            <div class="modal-footer">

                                                <form method="post" enctype="multipart/form-data"
                                                      action="{{route('providers.destroy',$row->id)}}">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-danger waves-effect waves-light">حذف
                                                    </button>
                                                </form>


                                            </div>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->


                                @if($row->subscription)
                                    <button type="button" class="btn btn-success waves-effect waves-light"
                                            data-toggle="modal" data-target="#renew{{$row->id}}">تجديد الباقه الحالية
                                    </button>
                                @endif

                                <div id="renew{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">تجديد الباقه الحالية</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <h5 class="font-16">هل انت متأكد من تجديد الباقه الحالية ؟</h5>

                                            </div>
                                            <div class="modal-footer">

                                                <form method="post" enctype="multipart/form-data"
                                                      action="{{route('renewPackage',$row->id)}}">
                                                    @csrf
                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-success waves-effect waves-light">تأكيد
                                                    </button>
                                                </form>


                                            </div>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->

                                <button type="button" class="btn btn-success waves-effect waves-light"
                                        data-toggle="modal" data-target="#contract{{$row->id}}">إشتراك في باقه جديدة
                                </button>


                                <div id="contract{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                     aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title"
                                                    id="myModalLabel">إشتراك في باقه جديدة </h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                        aria-hidden="true">×
                                                </button>
                                            </div>
                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('contractPackage',$row->id)}}">
                                                @csrf
                                                <div class="modal-body">
                                                    <h5 class="font-16">يرجي إختيار باقه جديده للاشتراك</h5>


                                                    <div class="form-group">
                                                        <label for="exampleInputEmail1">الإشتراك</label>
                                                        <select name="subscription_id" class="form-control" required>
                                                            <option disabled selected> إختر إشتراك</option>
                                                            @foreach($packages as $subscription)
                                                                <option
                                                                    value="{{$subscription->id}}"{{old('subscription_id') == $subscription->id ? "selected" :''}}>{{$subscription->title['ar']}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>


                                                </div>
                                                <div class="modal-footer">


                                                    <button type="button" class="btn btn-light waves-effect"
                                                            data-dismiss="modal">إلغاء
                                                    </button>
                                                    <button type="submit"
                                                            class="btn btn-success waves-effect waves-light">تأكيد
                                                    </button>


                                                </div>
                                            </form>
                                        </div><!-- /.modal-content -->
                                    </div><!-- /.modal-dialog -->
                                </div><!-- /.modal -->


                                <a href="{{route('providers.edit',$row->id)}}">
                                    <button type="button"
                                            class="btn btn-info waves-effect waves-light">تعديل
                                    </button>
                                </a>
                            </td>
                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
