<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::namespace('Api')->middleware(['ApiLang', 'customizeMobile', 'checkMobileValid'])->group(function () {

    Route::post('forget_password', [UsersController::class, 'forget_password']);
    Route::post('check_forget_code', [UsersController::class, 'check_forget_code']);
    Route::post('change_password', [UsersController::class, 'change_password']);
    Route::post('checkRegisterCode', [UsersController::class, 'checkRegisterCode']);

    Route::post('register', [UsersController::class, 'register']);
    Route::post('login', [UsersController::class, 'login']);

    Route::get('categories', [DataController::class, 'categories']);
    Route::get('cities', [DataController::class, 'cities']);
    Route::get('packages', [DataController::class, 'packages']);
    Route::get('banks', [DataController::class, 'banks']);

    Route::get('providerHome/{flag}', [ServicesController::class, 'providerHome']);
    Route::post('providerSearch', [ServicesController::class, 'providerSearch']);


    Route::get('clientHome/{flag}', [ServicesController::class, 'clientHome']);
    Route::post('clientSearch', [ServicesController::class, 'clientSearch']);


    Route::get('settings', [SettingsController::class, 'settings']);
    Route::post('contactUs', [SettingsController::class, 'contactUs']);

    Route::group(['middleware' => 'jwt.verify'], function () {
        Route::post('subscribePackage', [SubscriptionController::class, 'subscribePackage']);
        Route::post('updateProfile', [UsersController::class, 'updateProfile']);
        Route::post('changeOldPassword', [UsersController::class, 'changeOldPassword']);
        Route::post('storeService', [ServicesController::class, 'storeService']);
        Route::post('updateService', [ServicesController::class, 'updateService']);
        Route::get('deleteService/{service_id}', [ServicesController::class, 'deleteService']);
        Route::post('logout', [UsersController::class, 'userLogout']);
        Route::get('favouriteService/{service_id}', [ServicesController::class, 'favouriteService']);
        Route::get('favourites', [ServicesController::class, 'favourites']);

    });


});
