<?php

namespace App\Http\Controllers\Admin;


use Route;

Route::get('/', function () {
    return redirect()->route('dashboard');
});


Route::get('admin_login', [HomeController::class, 'login_form'])->name('admin_login');
Route::post('admin_authenticate', [HomeController::class, 'authenticate'])->name('admin_authenticate');

Route::group(['middleware' => ['adminAccess', 'customizeMobile', 'checkMobileValidAdmin'], 'prefix' => 'admin'], function () {
    Route::get('/', [HomeController::class, 'home'])->name('dashboard');
    Route::get('logout', [HomeController::class, 'admin_logout'])->name('admin_logout');
    Route::post('renewPackage/{provider_id}', [ProvidersController::class, 'renewPackage'])->name('renewPackage');
    Route::post('contractPackage/{provider_id}', [ProvidersController::class, 'contractPackage'])->name('contractPackage');
    Route::get('changeStatus/{flag}/{transfer_id}', [TransfersController::class, 'changeStatus'])->name('changeStatus');
    Route::resources([
        'admins' => AdminsController::class,
        'clients' => ClientsController::class,
        'providers' => ProvidersController::class,
        'banks' => BanksController::class,
        'categories' => CategoriesController::class,
        'cities' => CitiesController::class,
        'contact_us' => ContactUsController::class,
        'packages' => PackagesController::class,
        'services' => ServicesController::class,
        'settings' => SettingsController::class,
        'transfers' => TransfersController::class
    ]);

});


